Bug 57272 - cd-capplet "Open file manager" not settable when "Automount" is off
cd-capplet "Open file manager" not settable when "Automount" is off
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: magicdev (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-07 23:48 EST by Joe Krahn
Modified: 2013-03-13 00:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 13:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Krahn 2001-12-07 23:48:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13j1 i686)

Description of problem:
cd-capplet doesn't allow you to enable/disable the "Open file manager ..."
option when "Automount ..." is disabled. However, if "Open file man..." is
enabled, magicdev will still open a file manager for manually mounted CD
even though it's automounter is off. The same may be true for the Autorun
feature.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run magicdev with the automounter disabled
2. Try to enable/disable File Manager opening
3.
	

Actual Results:  Doesn't allow you to change the setting. The checked state
is visible, but you have to check automount temporarily to be able to
change it.

Additional info:

Additional suggestions for magicdev:
It might be good to have user-configurable auto-run command, possibly a
priory-order regexp list, or maybe even launch apps by a file pattern that
could for example detect and play VCD/DVD movies.

Magicdev should only try to mount a new disc once. Sometimes it may be
useful to unmount an inserted disc, and have magicdev leave it alone, if at
all possible to do via it's polling method. (Actually, the automount part
is better off in a system daemon, like vold or mediad.)
Comment 1 Owen Taylor 2002-01-24 10:38:43 EST
Think the first is a nautilus bug, haven't tried to reproduce yet.

(Nautilus doesn't actually use magicdev the same way as mc, with
nautilus, some parts are done by magicdev, some emulated by 
nautilus.)
Comment 2 Owen Taylor 2002-04-11 14:55:45 EDT
Nautilus bug is same as bug 62899
Comment 3 John (J5) Palmieri 2004-08-25 13:16:36 EDT
Closing bug.  Magicdev has been removed in favor of
gnome-volume-manager in the development branch.

Note You need to log in before you can comment on or make changes to this bug.